// persona.cpp - Definición de la clase CPersona
#include <iostream>
#include "persona.h" // declaración de la clase CPersona
using namespace std;

/////////////////////////////////////////////////////////////////
CPersona::CPersona(char *nom, char *dir, long tel)
{
  if (nom) strcpy(nombre, nom);
  if (dir) strcpy(direccion, dir);
  telefono = tel;
}

void CPersona::asignarNombre(char *nom)
{
  if (nom) strcpy(nombre, nom);
}

char *CPersona::obtenerNombre(char *nom) const
{
  return strcpy(nom, nombre);
}

void CPersona::asignarDireccion(char *dir)
{
  if (dir) strcpy(direccion, dir);
}

char *CPersona::obtenerDireccion(char *dir) const
{
  return strcpy(dir, direccion);
}

void CPersona::asignarTelefono(long tel)
{
  telefono = tel;
}

long CPersona::obtenerTelefono() const
{
  return telefono;
}

int CPersona::tamanyo()
{
  // Longitud en bytes de los atributos
  return sizeof(CPersona);
}

ostream& operator<<(ostream& os, CPersona& reg)
{
  // Visualizar un registro
  os << reg.nombre << endl
     << reg.direccion << endl
     << reg.telefono << endl;
  return os;
}
/////////////////////////////////////////////////////////////////
